<!DOCTYPE html>
<html>
    <head>
        <h2>Ejercicio 2: Creando Map</h2>
    </head>
    <body>
        <script>
            const modulos = ["m02", "m03", "m04", "m05", "m06", "m07", "m08", "FOL"];
            const alumnoNotas = [[8, 9, 4], [9, 10], [6, 8, 10], [4], [8, 4, 7], [], [7, 5, 9, 10],[10]];

            //Partiendo de estos dos Arrays, crea una MAP que te permita guardar la relación de las notas con el módulo.
            function creaMap(modulos,alumnoNotas){

                var m=new Map();
                for(let i in modulos){
                    m.set(modulos[i],alumnoNotas[i]);
                }
                return m;
            }
            var modulo= creaMap(modulos,alumnoNotas);
            console.log(modulo);

            //Actualiza las notas de m07 a  [7.5, 6].
            modulo.set('m07', [7.5,6]);
            console.log(modulo.get('m07'));

            //Obten un SET de las claves.
            var setModulos=new Set(modulo.keys());
            console.log(setModulos);
            
        </script>
    </body>
</html>